-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2021.0895
                         Security update for crmsh
                               15 March 2021

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           crmsh
Publisher:         SUSE
Operating System:  SUSE
Impact/Access:     Execute Arbitrary Code/Commands -- Existing Account
                   Increased Privileges            -- Existing Account
                   Reduced Security                -- Existing Account
Resolution:        Patch/Upgrade
CVE Names:         CVE-2021-3020 CVE-2020-35459 

Reference:         ESB-2021.0831
                   ESB-2021.0296
                   ESB-2021.0156

Original Bulletin: 
   https://www.suse.com/support/update/announcement/2021/suse-su-20210771-1
   https://www.suse.com/support/update/announcement/2021/suse-su-20210782-1
   https://www.suse.com/support/update/announcement/2021/suse-su-20210781-1

Comment: This bulletin contains three (3) SUSE security advisories.

- --------------------------BEGIN INCLUDED TEXT--------------------

SUSE Security Update: Security update for crmsh

______________________________________________________________________________

Announcement ID:   SUSE-SU-2021:0771-1
Rating:            important
References:        #1154927 #1178454 #1178869 #1179999 #1180571
Cross-References:  CVE-2020-35459 CVE-2021-3020
Affected Products:
                   SUSE Linux Enterprise High Availability 12-SP3
______________________________________________________________________________

An update that solves two vulnerabilities and has three fixes is now available.

Description:

This update for crmsh fixes the following issues:

  o Update to version 3.0.4+git.1614156978.4c1dc46d: * Fix: hb_report: walk
    through hb_report process under hacluster(CVE-2020-35459, bsc#1179999;
    CVE-2021-3020, bsc#1180571) * Fix: bootstrap: setup authorized ssh access
    for hacluster(CVE-2020-35459, bsc#1179999; CVE-2021-3020, bsc#1180571) *
    Dev: utils: change default file mod as 644 for str2file function * Dev:
    lock: give more specific error message when raise ClaimLockError * Dev:
    corosync: change the permission of corosync.conf to 644 * Fix: bootstrap:
    Use class Watchdog to simplify watchdog config(bsc#1154927, bsc#1178869) *
    Fix: bootstrap: make sure sbd device UUID was the same between nodes(bsc#
    1178454)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  o SUSE Linux Enterprise High Availability 12-SP3:
    zypper in -t patch SUSE-SLE-HA-12-SP3-2021-771=1

Package List:

  o SUSE Linux Enterprise High Availability 12-SP3 (noarch):
       crmsh-3.0.4+git.1614156978.4c1dc46d-13.62.1
       crmsh-scripts-3.0.4+git.1614156978.4c1dc46d-13.62.1


References:

  o https://www.suse.com/security/cve/CVE-2020-35459.html
  o https://www.suse.com/security/cve/CVE-2021-3020.html
  o https://bugzilla.suse.com/1154927
  o https://bugzilla.suse.com/1178454
  o https://bugzilla.suse.com/1178869
  o https://bugzilla.suse.com/1179999
  o https://bugzilla.suse.com/1180571


- --------------------------------------------------------------------------------


SUSE Security Update: Security update for crmsh

______________________________________________________________________________

Announcement ID:   SUSE-SU-2021:0782-1
Rating:            important
References:        #1154927 #1178454 #1178869 #1179999 #1180137 #1180571
                   #1180688
Cross-References:  CVE-2020-35459 CVE-2021-3020
Affected Products:
                   SUSE Linux Enterprise High Availability 15-SP1
______________________________________________________________________________

An update that solves two vulnerabilities, contains one feature and has 5 fixes
is now available.

Description:

This update for crmsh fixes the following issues:

  o Update to version 4.3.0+20210219.5d1bf034: * Fix: hb_report: walk through
    hb_report process under hacluster(CVE-2020-35459, bsc#1179999;
    CVE-2021-3020, bsc#1180571) * Fix: bootstrap: setup authorized ssh access
    for hacluster(CVE-2020-35459, bsc#1179999; CVE-2021-3020, bsc#1180571) *
    Dev: analyze: Add analyze sublevel and put preflight_check in it(jsc#
    ECO-1658) * Dev: utils: change default file mod as 644 for str2file
    function * Dev: hb_report: Detect if any ocfs2 partitions exist * Dev:
    lock: give more specific error message when raise ClaimLockError * Fix:
    Replace mktemp() to mkstemp() for security * Fix: Remove the duplicate
    --cov-report html in tox. * Fix: fix some lint issues. * Fix: Replace
    utils.msg_info to task.info * Fix: Solve a circular import error of
    utils.py * Fix: hb_report: run lsof with specific ocfs2 device(bsc#1180688)
    * Dev: corosync: change the permission of corosync.conf to 644 * Fix:
    preflight_check: task: raise error when report_path isn't a directory *
    Fix: bootstrap: Use class Watchdog to simplify watchdog config(bsc#1154927,
    bsc#1178869) * Dev: Polish the sbd feature. * Dev: Replace -f with -c and
    run check when no parameter provide. * Fix: Fix the yes option not working
    * Fix: Remove useless import and show help when no input. * Dev: Correct
    SBD device id inconsistenc during ASR * Fix: completers: return complete
    start/stop resource id list correctly(bsc#1180137) * Dev: Makefile.am:
    change makefile to integrate preflight_check * Medium: integrate
    preflight_check into crmsh(jsc#ECO-1658) * Fix: bootstrap: make sure sbd
    device UUID was the same between nodes(bsc#1178454)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  o SUSE Linux Enterprise High Availability 15-SP1:
    zypper in -t patch SUSE-SLE-Product-HA-15-SP1-2021-782=1

Package List:

  o SUSE Linux Enterprise High Availability 15-SP1 (noarch):
       crmsh-4.3.0+20210219.5d1bf034-3.57.3
       crmsh-scripts-4.3.0+20210219.5d1bf034-3.57.3


References:

  o https://www.suse.com/security/cve/CVE-2020-35459.html
  o https://www.suse.com/security/cve/CVE-2021-3020.html
  o https://bugzilla.suse.com/1154927
  o https://bugzilla.suse.com/1178454
  o https://bugzilla.suse.com/1178869
  o https://bugzilla.suse.com/1179999
  o https://bugzilla.suse.com/1180137
  o https://bugzilla.suse.com/1180571
  o https://bugzilla.suse.com/1180688


- --------------------------------------------------------------------------------


SUSE Security Update: Security update for crmsh

______________________________________________________________________________

Announcement ID:   SUSE-SU-2021:0781-1
Rating:            important
References:        #1154927 #1178454 #1178869 #1179999 #1180126 #1180137
                   #1180571 #1180688 #1181415
Cross-References:  CVE-2020-35459 CVE-2021-3020
Affected Products:
                   SUSE Linux Enterprise High Availability 15-SP2
______________________________________________________________________________

An update that solves two vulnerabilities, contains one feature and has 7 fixes
is now available.

Description:

This update for crmsh fixes the following issues:

  o Update to version 4.3.0+20210305.9db5c9a8: * Fix: bootstrap: Adjust qdevice
    configure/remove process to avoid race condition due to quorum lost(bsc#
    1181415) * Dev: cibconfig: remove related code about detecting crm_diff
    support --no-verion * Fix: ui_configure: raise error when params not exist
    (bsc#1180126) * Dev: doc: remove doc for crm node status * Dev: ui_node:
    remove status subcommand


  o Update to version 4.3.0+20210219.5d1bf034: * Fix: hb_report: walk through
    hb_report process under hacluster(CVE-2020-35459, bsc#1179999;
    CVE-2021-3020, bsc#1180571) * Fix: bootstrap: setup authorized ssh access
    for hacluster(CVE-2020-35459, bsc#1179999; CVE-2021-3020, bsc#1180571) *
    Dev: analyze: Add analyze sublevel and put preflight_check in it(jsc#
    ECO-1658) * Dev: utils: change default file mod as 644 for str2file
    function * Dev: hb_report: Detect if any ocfs2 partitions exist * Dev:
    lock: give more specific error message when raise ClaimLockError * Fix:
    Replace mktemp() to mkstemp() for security * Fix: Remove the duplicate
    --cov-report html in tox. * Fix: fix some lint issues. * Fix: Replace
    utils.msg_info to task.info * Fix: Solve a circular import error of
    utils.py * Fix: hb_report: run lsof with specific ocfs2 device(bsc#1180688)
    * Dev: corosync: change the permission of corosync.conf to 644 * Fix:
    preflight_check: task: raise error when report_path isn't a directory *
    Fix: bootstrap: Use class Watchdog to simplify watchdog config(bsc#1154927,
    bsc#1178869) * Dev: Polish the sbd feature. * Dev: Replace -f with -c and
    run check when no parameter provide. * Fix: Fix the yes option not working
    * Fix: Remove useless import and show help when no input. * Dev: Correct
    SBD device id inconsistenc during ASR * Fix: completers: return complete
    start/stop resource id list correctly(bsc#1180137) * Dev: Makefile.am:
    change makefile to integrate preflight_check * Medium: integrate
    preflight_check into crmsh(jsc#ECO-1658) * Fix: bootstrap: make sure sbd
    device UUID was the same between nodes(bsc#1178454)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  o SUSE Linux Enterprise High Availability 15-SP2:
    zypper in -t patch SUSE-SLE-Product-HA-15-SP2-2021-781=1

Package List:

  o SUSE Linux Enterprise High Availability 15-SP2 (noarch):
       crmsh-4.3.0+20210305.9db5c9a8-5.42.1
       crmsh-scripts-4.3.0+20210305.9db5c9a8-5.42.1


References:

  o https://www.suse.com/security/cve/CVE-2020-35459.html
  o https://www.suse.com/security/cve/CVE-2021-3020.html
  o https://bugzilla.suse.com/1154927
  o https://bugzilla.suse.com/1178454
  o https://bugzilla.suse.com/1178869
  o https://bugzilla.suse.com/1179999
  o https://bugzilla.suse.com/1180126
  o https://bugzilla.suse.com/1180137
  o https://bugzilla.suse.com/1180571
  o https://bugzilla.suse.com/1180688
  o https://bugzilla.suse.com/1181415

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBYE7B2+NLKJtyKPYoAQioLA//VMmaTPIjhXFVxUlQZImLFcNCDrk6K51k
xI/9vchGGaELHWH3TYs//l/aJlPinyCganotdK9IFYceb7GalyRKjFNU1mX6sypO
tcq3NWxC1ArKi6F+Y13e7HPvhQ0es6m6MA09bjZsL+g+vGdUhXEsABiW+dd1CYq4
dI/AIy1lcOMRjWUqTlAYdwV2GyoAt6PCoz3NI0EA9iuu272Zup8gCCE5us9Bm6pB
+QLAXkWMzgnChtaUdSIpcDYkBzUf95GH2NWyD5/dA7SdwY18fqjvhwpwNOwU9pSi
DoV1GuUfEPuBiw4iztVZj4AooNUOcpHZ9PiEmift0o/FFZm2yQYyP5Bzo+rLtbkY
TbAalhzlk4qaRSpjuivasd0hdycGlWaeCteQfDnhxURj2P5WDN4AyfYq0iHeAS2t
vjVKLDaq80jox2a38ptJj4SFpwJAQo5l6pqCxQK3uYvtS1bFsFo09Nwta+ImRI+4
qMv+WWZQSC4myMA0aqsxMdk0NCNOxor8vJ5l3YQ0CACbUcYSscGfK/kw/DmgIDj2
eDVOvxa9DgUwboOy5v+tDOEO7KbIwMJDLvHc+zZ5emlTSOREFane2M45yZuvhMyt
VoJVr/NO9l/7MItZFuggFfnNHaqRLOeNLozY6gvp0ijHLPLOo8FYrw+owOfSnbrh
Z8oWcDHwpkc=
=1+HB
-----END PGP SIGNATURE-----